package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 充值记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaRechargeLogDao;
import com.heyu.api.data.entity.calca.CalcaRechargeLogEntity;
import com.heyu.api.data.service.calca.CalcaRechargeLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaRechargeLogServiceImpl extends ServiceImpl<CalcaRechargeLogDao, CalcaRechargeLogEntity> implements CalcaRechargeLogService {


    @Autowired
	private CalcaRechargeLogDao calcaRechargeLogDao;



	@Override
	public CalcaRechargeLogEntity selectCalcaRechargeLogById(Long id){
		return calcaRechargeLogDao.selectCalcaRechargeLogById(id);
	}



	@Override
	public Long insertCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog){
		return calcaRechargeLogDao.insertCalcaRechargeLog(calcaRechargeLog);
	}



	@Override
	public Long insertOrUpdateCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog){
		return calcaRechargeLogDao.insertOrUpdateCalcaRechargeLog(calcaRechargeLog);
	}



	@Override
	public int updateCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog){
		return calcaRechargeLogDao.updateCalcaRechargeLogById(calcaRechargeLog);
	}



	@Override
	public int updateCoverCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog){
		return calcaRechargeLogDao.updateCoverCalcaRechargeLogById(calcaRechargeLog);
	}



	@Override
	public int deleteCalcaRechargeLogById(Long id){
		return calcaRechargeLogDao.deleteCalcaRechargeLogById(id);
	}



}
